Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.world.storage
Interface ISaveHandler

All Known Implementing Classes:
  AnvilSaveHandler, SaveHandler, SaveHandlerMP, WorldSpecificSaveHandler

    public interface ISaveHandler

Method Summary
`void` | `checkSessionLock()` Checks the session lock to prevent save collisions
`void` | `flush()` Called to flush all changes to disk, waiting for them to complete.
`IChunkLoader` | `getChunkLoader(WorldProvider var1)` Returns the chunk loader with the provided world provider
`File` | `getMapFileFromName(String var1)` Gets the file location of the given map
`String` | `getSaveDirectoryName()` Returns the name of the directory where world information is saved.
`IPlayerFileData` | `getSaveHandler()` returns null if no saveHandler is relevent (eg.
`WorldInfo` | `loadWorldInfo()` Loads and returns the world info
`void` | `saveWorldInfo(WorldInfo var1)` Saves the passed in world info.
`void` | `saveWorldInfoWithPlayer(WorldInfo var1, NBTTagCompound var2)` Saves the given World Info with the given NBTTagCompound as the Player.

Method Detail

### loadWorldInfo

    WorldInfo loadWorldInfo()

  Loads and returns the world info

### checkSessionLock

    void checkSessionLock()
                          throws MinecraftException

  Checks the session lock to prevent save collisions

  Throws:
    `MinecraftException`

### getChunkLoader

    IChunkLoader getChunkLoader(WorldProvider var1)

  Returns the chunk loader with the provided world provider

### saveWorldInfoWithPlayer

    void saveWorldInfoWithPlayer(WorldInfo var1,
                                 NBTTagCompound var2)

  Saves the given World Info with the given NBTTagCompound as the Player.

### saveWorldInfo

    void saveWorldInfo(WorldInfo var1)

  Saves the passed in world info.

### getSaveHandler

    IPlayerFileData getSaveHandler()

  returns null if no saveHandler is relevent (eg. SMP)

### flush

    void flush()

  Called to flush all changes to disk, waiting for them to complete.

### getMapFileFromName

    File getMapFileFromName(String var1)

  Gets the file location of the given map

### getSaveDirectoryName

    String getSaveDirectoryName()

  Returns the name of the directory where world information is saved.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD